Bug 1192341 - elixir-v1.2.4 is available
Summary: elixir-v1.2.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: elixir
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-13 08:32 UTC by Upstream Release Monitoring
Modified: 2016-05-26 17:33 UTC (History)
6 users (show)

Fixed In Version: elixir-1.2.5-2.fc24
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-26 17:33:14 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (7.31 KB, patch)
2016-04-02 12:20 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2015-02-13 08:32:48 UTC
Latest upstream release: 1.0.3
Current version/release in Fedora Rawhide: 1.0.2-1.fc22
URL: https://api.github.com/repos/elixir-lang/elixir/tags

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 1 Upstream Release Monitoring 2015-04-08 00:35:20 UTC
Latest upstream release: v1.0.4
Current version/release in rawhide: 1.0.3-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 2 Upstream Release Monitoring 2015-04-08 00:35:32 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-Ok5DcS/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.0.4/elixir-v1.0.4.tar.gz to ./elixir-v1.0.4.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    233      0 --:--:-- --:--:-- --:--:--   233

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 3 Upstream Release Monitoring 2015-06-29 12:35:38 UTC
Latest upstream release: v1.0.5
Current version/release in rawhide: 1.0.3-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 4 Upstream Release Monitoring 2015-06-29 12:35:55 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-t07Vwn/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.0.5/elixir-v1.0.5.tar.gz to ./elixir-v1.0.5.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    263      0 --:--:-- --:--:-- --:--:--   263

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 5 Upstream Release Monitoring 2015-09-06 00:11:42 UTC
Latest upstream release: v1.1.0-beta
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 6 Upstream Release Monitoring 2015-09-06 00:11:57 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-N5zYQI/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.1.0/elixir-v1.1.0.tar.gz to ./elixir-v1.1.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    273      0 --:--:-- --:--:-- --:--:--   273

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 7 Upstream Release Monitoring 2015-09-16 00:11:37 UTC
Latest upstream release: v1.1.0-rc.0
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-09-16 00:11:52 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-SvrqX3/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.1.0/elixir-v1.1.0.tar.gz to ./elixir-v1.1.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    275      0 --:--:-- --:--:-- --:--:--   275

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 9 Upstream Release Monitoring 2015-09-25 12:12:51 UTC
Latest upstream release: v1.1.0
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 10 Upstream Release Monitoring 2015-09-25 12:13:06 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-uL1XLX/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.1.0/elixir-v1.1.0.tar.gz to ./elixir-v1.1.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    273      0 --:--:-- --:--:-- --:--:--   273

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 11 Upstream Release Monitoring 2015-09-30 00:19:20 UTC
Latest upstream release: v1.1.1
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 12 Upstream Release Monitoring 2015-12-11 00:12:48 UTC
Latest upstream release: v1.2.0-rc.0
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 13 Upstream Release Monitoring 2015-12-11 00:13:05 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-4SuLfo/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.2.0/elixir-v1.2.0.tar.gz to ./elixir-v1.2.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    412      0 --:--:-- --:--:-- --:--:--   413

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 14 Upstream Release Monitoring 2015-12-22 00:10:46 UTC
Latest upstream release: v1.2.0-rc.1
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 15 Upstream Release Monitoring 2015-12-22 00:11:31 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-fpFjSP/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.2.0/elixir-v1.2.0.tar.gz to ./elixir-v1.2.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    376      0 --:--:-- --:--:-- --:--:--   377

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 16 Upstream Release Monitoring 2016-01-01 12:11:26 UTC
Latest upstream release: v1.2.0
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 17 Upstream Release Monitoring 2016-01-01 12:12:10 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-Eev5wJ/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.2.0/elixir-v1.2.0.tar.gz to ./elixir-v1.2.0.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    394      0 --:--:-- --:--:-- --:--:--   394

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 18 Martin Frost 2016-01-08 21:32:40 UTC
It looks as if the scratch builds are failing because they try to fetch the .tar.gz from the wrong URL.

The URL includes double 'v' before the version, which is incorrect. It should be 'v1.2.0', not 'vv1.2.0'.

Also, once that would be dealt with, I'm guessing this will fail because Elixir 1.2 depends on Erlang/OTP 18, and the latest erlang package is at 17.4, at least until https://bugzilla.redhat.com/show_bug.cgi?id=1221824 is resolved.

Comment 19 Upstream Release Monitoring 2016-01-15 12:12:00 UTC
Latest upstream release: v1.2.1
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 20 Upstream Release Monitoring 2016-01-15 12:12:21 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-pqKT5d/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.2.1/elixir-v1.2.1.tar.gz to ./elixir-v1.2.1.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    297      0 --:--:-- --:--:-- --:--:--   296

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 21 Upstream Release Monitoring 2016-01-31 12:12:53 UTC
Latest upstream release: v1.2.2
Current version/release in rawhide: 1.0.5-1.fc23
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 22 Upstream Release Monitoring 2016-01-31 12:13:11 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-LLpAzn/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.2.2/elixir-v1.2.2.tar.gz to ./elixir-v1.2.2.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    394      0 --:--:-- --:--:-- --:--:--   393

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 23 Upstream Release Monitoring 2016-02-22 00:13:06 UTC
Latest upstream release: v1.2.3
Current version/release in rawhide: 1.2.2-1.fc24
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 24 Upstream Release Monitoring 2016-02-22 00:13:25 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-jN7J_A/elixir.spec
return code:  22
stdout:
Getting https://github.com/elixir-lang/elixir/archive/vv1.2.3/elixir-v1.2.3.tar.gz to ./elixir-v1.2.3.tar.gz

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   141    0   141    0     0    397      0 --:--:-- --:--:-- --:--:--   397

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 25 Upstream Release Monitoring 2016-04-02 12:19:37 UTC
Latest upstream release: v1.2.4
Current version/release in rawhide: 1.2.3-1.fc25
URL: https://github.com/elixir-lang/elixir

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/673/

Comment 26 Upstream Release Monitoring 2016-04-02 12:20:01 UTC
Patching or scratch build for elixir and version 1.2.3 FAILED.
See for details

Comment 27 Upstream Release Monitoring 2016-04-02 12:20:03 UTC
Created attachment 1142780 [details]
Rebase-helper rebase-helper-debug.log log file.
 See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 28 Upstream Release Monitoring 2016-04-02 12:20:06 UTC
Patches were not touched. All were applied properly

Comment 29 Fedora Update System 2016-04-05 16:56:33 UTC
elixir-1.2.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bfa2573a58

Comment 30 Fedora Update System 2016-04-06 17:53:46 UTC
elixir-1.2.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bfa2573a58

Comment 31 Fedora Update System 2016-05-20 12:59:21 UTC
elixir-1.2.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc4172a8ad

Comment 32 Fedora Update System 2016-05-20 18:18:51 UTC
elixir-1.2.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1bee2b9571

Comment 33 Fedora Update System 2016-05-21 01:31:06 UTC
elixir-1.2.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-cc4172a8ad

Comment 34 Fedora Update System 2016-05-22 03:56:21 UTC
elixir-1.2.5-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1bee2b9571

Comment 35 Fedora Update System 2016-05-26 17:33:06 UTC
elixir-1.2.5-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.